from superturtle.animation import animate
from turtle import *
from turtle import forward, right
from typeface import (
    draw_letter_p,
    draw_letter_i,
    draw_letter_e,
    draw_letter_t,
)

pensize(3)

begin_fill()

def square(side_length):
    pensize(None)
    fillcolor('blue')
    begin_fill()
    for side in range(4):
        forward(side_length)
        right(90)
    end_fill()

for i in range(3):
    #animates 3 times and then stops
    for frame in animate(40):
        size = frame.interpolate(50, 100, mirror=True)
        square(size)
        penup()
        back(90)
        pendown()
        draw_letter_p(size/4)
        forward(63)
        draw_letter_i(size/4)
        forward(22)
        draw_letter_e(size/4)
        forward(75)
        draw_letter_t(size/4)

done()


